Bug 214355 - sound driver detected butting no sound when tes
sound driver detected butting no sound when tes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: sndconfig (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 02:59 EST by ric
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 08:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ric 2006-11-07 02:59:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20061027 Fedora/1.5.0.7-8.fc6 Firefox/1.5.0.7

Description of problem:
Fedora detected the sounds card as you can see :lspci |grep audio
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)

but when i run the test i can't hear anything. 
lsmod |grep snd
snd_rtctimer            7501  0
snd_intel8x0           36445  4
snd_seq_dummy           8133  0
snd_intel8x0m          21325  1
snd_ac97_codec         94945  2 snd_intel8x0,snd_intel8x0m
snd_ac97_bus            6593  1 snd_ac97_codec
snd_seq_oss            37057  0
snd_seq_midi_event     11841  1 snd_seq_oss
snd_seq                57137  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         12621  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            46561  0
snd_mixer_oss          20673  1 snd_pcm_oss
snd_pcm                80453  5 snd_intel8x0,snd_intel8x0m,snd_ac97_codec,snd_pcm_oss
snd_timer              27077  4 snd_rtctimer,snd_seq,snd_pcm
snd                    57029  22 snd_intel8x0,snd_intel8x0m,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              14113  1 snd
snd_page_alloc         14281  3 snd_intel8x0,snd_intel8x0m,snd_pcm


more stuff:
cat scsrun.log
------- System Config Soundcard Log --------
Tue Nov  7 14:38:15 EST 2006

aplay: main:550: audio open error: Device or resource busy
Running from command-line...



sample from scsconfig.log:

TAPI device hdb:
  Error: Not ready -- (Sense key=0x02)
  Incompatible medium installed -- (asc=0x30, ascq=0x00)
  The failed "Read Subchannel" packet command was:
  "42 02 40 01 00 00 00 00 10 00 00 00 00 00 00 00 "
ATAPI device hdb:
  Error: Not ready -- (Sense key=0x02)
  Incompatible medium installed -- (asc=0x30, ascq=0x00)
  The failed "Read Subchannel" packet command was:
  "42 02 40 01 00 00 00 00 10 00 00 00 00 00 00 00 "
ATAPI device hdb:
  Error: Not ready -- (Sense key=0x02)
  Incompatible medium installed -- (asc=0x30, ascq=0x00)
  The failed "Read Subchannel" packet command was:
  "42 02 40 01 00 00 00 00 10 00 00 00 00 00 00 00 "
ATAPI device hdb:
  Error: Not ready -- (Sense key=0x02)
  Incompatible medium installed -- (asc=0x30, ascq=0x00)
  The failed "Read Subchannel" packet command was:
  "42 02 40 01 00 00 00 00 10 00 00 00 00 00 00 00 "
ATAPI device hdb:
  Error: Not ready -- (Sense key=0x02)
  Incompatible medium installed -- (asc=0x30, ascq=0x00)
  The failed "Read Subchannel" packet command was:
  "42 02 40 01 00 00 00 00 10 00 00 00 00 00 00 00 "
ATAPI device hdb:
  Error: Not ready -- (Sense key=0x02)
  Incompatible medium installed -- (asc=0x30, ascq=0x00)
  The failed "Read Subchannel" packet command was:
  "42 02 40 01 00 00 00 00 10 00 00 00 00 00 00 00 "
ATAPI device hdb:
  Error: Not ready -- (Sense key=0x02)
  Incompatible medium installed -- (asc

cat asound.conf
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 0
defaults.pcm.device 0
defaults.ctl.card 0cat asound.conf
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 0
defaults.pcm.device 0
defaults.ctl.card 0









Version-Release number of selected component (if applicable):
kernel 2.6.18-1.2798.fc6

How reproducible:
Always


Steps to Reproduce:
1.  run system-config-soundcard
2. click sound test 
3. i don't hear sound

Actual Results:
no sound

Expected Results:
i would hear a sound (test sound)

Additional info:
cat asound.conf
#Generated by system-config-soundcard, do not edit by hand
#SWCONF
#DEV 0
defaults.pcm.card 0
defaults.pcm.device 0
defaults.ctl.card 0
Comment 1 Martin Stransky 2006-12-14 06:02:29 EST
Could you please check the latest drivers / packages? (ALSA 1.0.14rc1)
How-to is here:

http://people.redhat.com/stransky/alsa/

Note You need to log in before you can comment on or make changes to this bug.